#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long x1,y1,x2,y2;
    cin>>x1>>y1>>x2>>y2;
    if(y1==y2 || x1==x2)
    {
        cout<<"2";
        return 0;
    }
    else if(abs(x1-x2)==abs(y1-y2))
    {
        cout<<"1";
        return 0;
    }
    else
    {
        cout<<"0";
    }
}